$home_dir = $ENV{HOME};
$items_file = $home_dir . "/.titano/.items";

open(ITEMS,$items_file) || die "Items file not found: \"$items_file\": nothing to do.";

#read data
%subst;

$operation = <ITEMS>;
chomp($operation);
$fullfile = <ITEMS>;
chomp($fullfile);

if($operation eq "create"){
        $templ_file = <ITEMS>;
}elsif($operation eq "copy"){
	$source_file = <ITEMS>;
};

while(<ITEMS>){
        chomp;
	$foo = <ITEMS>;
	chomp($foo);
        $subst{$_} = $foo;
};

close(ITEMS);

$subst{YEAR} = `date +%Y`;
chomp($subst{YEAR});
$subst{NAME} = $fullfile;
$subst{NAME} =~ s/((\w*)\/)*//;
$subst{DIR} = $fullfile;
$subst{DIR} =~ s/\/\w*?//;
$subst{UNAME} = $subst{NAME};
$subst{UNAME} =~ tr/a-z\-./A-Z__/;
$subst{LNAME} = $subst{UNAME};
$subst{LNAME} =~ tr/A-Z\-/a-z_/;

open(FILE,">$fullfile") || die "Couldn't create file: \"$fullfile\": nothing to do.";
if($operation eq "create"){
	open(TEMPL,$templ_file) || die "Template not found: \"$templ_file\": nothing to do.";

	while($foo = <TEMPL>){
		substitute($foo);
		print FILE $foo;
	};	
	
	close(TEMPL);
}elsif($operation eq "copy"){
	open(SOUR,$source_file) || die "Source file not found: \"$source_file\": nothing to do.";

	while($foo = <SOUR>){
		print FILE $foo;
	};	
	
	close(SOUR);
};
close(FILE);
unlink($items_file);

sub substitute
{
	foreach $i (keys(%subst)){
		$_[0] =~ s/\#$i\#/$subst{$i}/;
	};
}